MWAWPropertyHandlerDecoder Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
MWAWPropertyHandlerDecoder Class Reference

## Public Member Functions
| MWAWPropertyHandlerDecoder (MWAWPropertyHandler *hdl=0L)
| constructor given a MWAWPropertyHandler More...
bool | readData (librevenge::RVNGBinaryData const &encoded)
| tries to read the data More...

## Protected Member Functions
bool | readInsertElement (librevenge::RVNGInputStream &input)
| reads an simple element More...
bool | readInsertElementWithList (librevenge::RVNGInputStream &input)
| reads an element with a property list More...
bool | readCharacters (librevenge::RVNGInputStream &input)
| reads a set of characters More...
bool | readPropertyListVector (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyListVector &vect)
| low level: reads a property vector: number of properties list followed by list of properties list More...
bool | readPropertyList (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyList &lists)
| low level: reads a property list: number of properties followed by list of properties More...
bool | readProperty (librevenge::RVNGInputStream &input, librevenge::RVNGPropertyList &list)
| low level: reads a property and its value, adds it to list More...
bool | readString (librevenge::RVNGInputStream &input, librevenge::RVNGString &s)
| low level: reads a string : size and string More...

## Static Protected Member Functions
static bool | readLong (librevenge::RVNGInputStream &input, long &val)
| low level: reads an long value More...

## Protected Attributes
MWAWPropertyHandler * | m_handler
| the streamfile More...

## Private Member Functions
| MWAWPropertyHandlerDecoder (MWAWPropertyHandlerDecoder const &orig)
MWAWPropertyHandlerDecoder & | operator= (MWAWPropertyHandlerDecoder const &)

## Constructor & Destructor Documentation

MWAWPropertyHandlerDecoder::MWAWPropertyHandlerDecoder | ( | MWAWPropertyHandler * | hdl = `0L` | ) |
| inlineexplicit

constructor given a MWAWPropertyHandler

MWAWPropertyHandlerDecoder::MWAWPropertyHandlerDecoder | ( | MWAWPropertyHandlerDecoder const & | orig | ) |
| private

## Member Function Documentation

MWAWPropertyHandlerDecoder& MWAWPropertyHandlerDecoder::operator= | ( | MWAWPropertyHandlerDecoder const & |  | ) |
| private

bool MWAWPropertyHandlerDecoder::readCharacters | ( | librevenge::RVNGInputStream & | input | ) |
| inlineprotected

reads a set of characters

bool MWAWPropertyHandlerDecoder::readData | ( | librevenge::RVNGBinaryData const & | encoded | ) |
| inline

tries to read the data

Referenced by MWAWPropertyHandler::checkData(), and MWAWPropertyHandler::readData().

bool MWAWPropertyHandlerDecoder::readInsertElement | ( | librevenge::RVNGInputStream & | input | ) |
| inlineprotected

reads an simple element

bool MWAWPropertyHandlerDecoder::readInsertElementWithList | ( | librevenge::RVNGInputStream & | input | ) |
| inlineprotected

reads an element with a property list

static bool MWAWPropertyHandlerDecoder::readLong | ( | librevenge::RVNGInputStream & | input,
|  | long & | val
| ) |  |
| inlinestaticprotected

low level: reads an long value

bool MWAWPropertyHandlerDecoder::readProperty | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyList & | list
| ) |  |
| inlineprotected

low level: reads a property and its value, adds it to list

bool MWAWPropertyHandlerDecoder::readPropertyList | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyList & | lists
| ) |  |
| inlineprotected

low level: reads a property list: number of properties followed by list of properties

bool MWAWPropertyHandlerDecoder::readPropertyListVector | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGPropertyListVector & | vect
| ) |  |
| inlineprotected

low level: reads a property vector: number of properties list followed by list of properties list

bool MWAWPropertyHandlerDecoder::readString | ( | librevenge::RVNGInputStream & | input,
|  | librevenge::RVNGString & | s
| ) |  |
| inlineprotected

low level: reads a string : size and string

## Member Data Documentation

MWAWPropertyHandler* MWAWPropertyHandlerDecoder::m_handler
| protected

the streamfile

The documentation for this class was generated from the following file:

- MWAWPropertyHandler.cxx